<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Matthias Gruber</title>

    <style>
        body {
            font-family: -apple-system, ".SFNSDisplay-Regular", "Helvetica Neue", Helvetica, Arial, sans-serif !important
        }

        li {
            line-height: 1.5;
        }
    </style>
</head>
<body>
<a class="gumroad-button" href="https://gum.co/demo?wanted=true">Demo</a>
<a class="gumroad-button" href="https://gum.co/demo?wanted=true" data-gumroad-single-product="true">Single Product</a>
<a class="gumroad-button" href="https://gum.co/demo" data-gumroad-special-button="true">Special styling</a>
<a class="gumroad-button" href="https://gum.co/demo" data-gumroad-hover-preload="true">Pre-Load on hover</a>

<hr>
<ul>
    <li>Works out-of-the-box with existing gumroad-buttons</li>
    <li>Styled with the gumroad-theme (found on the de-minified production-code)</li>
    <li>IFrames are cached after being opened once</li>
    <li>URLs can easily be customized & unit tested in the <code>GumroadButton</code> class</li>
    <li>Button styling can be customized inside <code>styles.ts</code> (depending on attributes like <code>data-gumroad-special-button></code>)
    </li>
    <li>With <code>data-gumroad-hover-preload="true"</code> IFrames are preloaded on hover (have a look at the console)
    </li>
    <li>
        I originally planned to integrate the correct iFrame URLs (gumroad.com/overlay)
        But after implementing the first part of the handshake I realized that this is overkill for this task :D
    </li>
</ul>

<script src="dist/bundle.js"></script>
</body>
</html>
